/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Utility;

import java.sql.*;
import javax.swing.JOptionPane;

/**
 *
 * @author MichaelC
 */
public class TestDBToolSingleton {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws SQLException {
        // TODO code application logic here
        //DBToolSingleton dbt = DBToolSingleton.getSingleton();
        Connection con = DBToolSingleton.getConnection();
        Statement stmt = DBToolSingleton.getStatement();

        // NOT POSSIBLE with ? instead of tablename!!!!!
        String sqlQuery = "select * from ?";
       
        Object[] possibleValues = {"Guest", "Room", "Bookings"};
        String tableType = (String) JOptionPane.showInputDialog(null, "Choose Table Type", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);
        System.out.println(tableType);
       
        if (tableType.equals("Guest")) {
            sqlQuery = "select * from guest";
        } else if (tableType.equals("Room")) {
            sqlQuery = "select * from room";
        }else if (tableType.equals("Bookings")) {
            sqlQuery = "select * from booking";
        }

        PreparedStatement prep = con.prepareStatement(sqlQuery);
        prep.getParameterMetaData();

        //Checking what we will get out is executed
        System.out.println(prep.getParameterMetaData());
        ResultSetMetaData rsMetax = prep.getMetaData();
        int colNox = rsMetax.getColumnCount();
        String colNamesx = "\t";
        for (int i = 1; i <= colNox; i++) {
            colNamesx = colNamesx + rsMetax.getColumnLabel(i) + "\t";
        }
        System.out.println("columns:" + colNamesx);

        //Execute the statement, preparesatteemnt not really necessary, in this case
        ResultSet rs = prep.executeQuery();
        ResultSetMetaData rsMeta = rs.getMetaData();

        int colNo = rsMeta.getColumnCount();
        String colNames = "\t";
        for (int i = 1; i <= colNo; i++) {
            colNames = colNames + rsMeta.getColumnLabel(i) + "\t";
        }
        System.out.println("columns:" + colNames);

        while (rs.next()) {
            String record = "\t";
            for (int i = 1; i <= colNo; i++) {
                record = record + rs.getString(i) + "\t";
            }
            System.out.println("record: " + record);
        }

        DBToolSingleton.close();

    }
}
