 //ComparatorGeneral.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. year.2004.02.07, 2.0 2011.04.01
 * Copyright year by Michael Claudius
 * All rights reserved ?
 */
package Controller;

import Model.Customer;
import java.util.*;

class ComparatorName implements Comparator {

    public int compare(Object o1, Object o2) {
        Customer c1 = (Customer) o1;
        Customer c2 = (Customer) o2;
        String name1 = c1.getName();
        String name2 = c2.getName();
        return name1.compareTo(name2);
    }
}

class ComparatorMemberType implements Comparator {

    public int compare(Object o1, Object o2) {
        Customer c1 = (Customer) o1;
        Customer c2 = (Customer) o2;
        String type1 = c1.getCustomerType();
        String type2 = c2.getCustomerType();
        return type1.compareTo(type2);
    }
}

class ComparatorYear implements Comparator {

    public int compare(Object o1, Object o2) {
        Customer c1 = (Customer) o1;
        Customer c2 = (Customer) o2;
        int y1 = c1.getYear();
        int y2 = c2.getYear();
        if (y1 < y2) {
            return -1;
        }
        if (y1 == y2) {
            return 0;
        } else {
            return 1;
        }
    }
}


//class ComparatorEmail implements Comparator {
//
//    public int compare(Object o1, Object o2) {
//        MemberCustomer c1 = (MemberCustomer) o1;
//        MemberCustomer c2 = (MemberCustomer) o2;
//
//        //Typecast to subtype as MemberCustomer
//        //Parameter types are Object missing email
//        // Let the String compateTo method do the job
//
//        return ((c1.getEmail()).compareTo(c2.getEmail()));
//    }

