/* LibraryCMCWithDMC A small test program
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.1 Modified 2003.10.19, 2005.11.15
 * All rights reserved
 */

package Model;

import java.sql.*;
import java.io.*;
import java.util.*;
import javax.swing.JOptionPane;

public class TestCustomerDAO  {
    
    public static void main(String args[]) {
        
        Customer customer;
        CustomerRegister customerReg  = new CustomerRegister();

// Establish the facade DAO-Connection
        
        CustomerDAO customerDAO = new CustomerDAO();
        
//Ass. 3 Creating a new customer and inserting values into the database
        
        String customerNo = JOptionPane.showInputDialog("State customerNo of customer: ");
        String name = JOptionPane.showInputDialog("State name of customer: ");
        String yearStr = JOptionPane.showInputDialog("State year of registration: ");
        int year = Integer.parseInt(yearStr);

        //String customerType = JOptionPane.showInputDialog("Type of borrower:\n"+"Adult", "Child");
        Object[] possibleValues = {"Regular", "Member", "VIP"};
        String customerType = (String) JOptionPane.showInputDialog(null, "Choose Customer Type", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);

        customer = new Customer(customerNo, name, customerType, year);
        
        System.out.println(customer.toDBString());
        customerDAO.addCustomerDB(customer);

        //Query getting the result as a resultset
        try {
            int stays = 0;
            System.out.println("querying");
            ResultSet rs = customerDAO.getAllCustomersAsResultSet();
            
            System.out.println("CprNo Name BType Year State");
            while (rs.next()) {
               customerNo = rs.getString(1);
                name = rs.getString(2);
                year = rs.getInt("year");
                customerType = rs.getString("CType");
                stays = rs.getInt(5);

                customer = new Customer(customerNo, name, customerType, year, stays);
                customerReg.addCustomer(customer);
            }
            
            rs.close();  //closes resultset
           // customerDAO.close();
            System.out.println(customerReg.toString());
            
//Query getting the result directly as a customer register
            customerReg = customerDAO.getAllCustomersAsRegister();
            System.out.println(customerReg.toString());
            
            System.out.println("closing");
            
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}

